Subject: Re: bug#57555: 29.0.50; variable-pitch font issue with medium weight default font

From: Gregory Heytings <[email-masked]>
Date: Sun, 20 Nov 2022 15:46:06 +0000

>
> Sorry for my unintended long absence -- I meant to get back to this bug 
> report much earlier -- and thanks very much for the patch.
>

No worries, the patch was sent only a few hours ago!

>
> Your patch nicely remedies the original issue that I'd reported,
>

Great!

>
> but with it applied, at least the following doesn't seem to have an 
> effect anymore:
>
> (set-face-attribute 'fixed-pitch nil :family "Source Code Pro")
>

Are you sure :family is the right attribute here?  Using :font instead of 
:family seems to do TRT.  Can you please try that and see if it does what 
you expect?